Loading...
Searching...
No Matches
XrdSys::RAtomic< bool > Class Reference

`#include <XrdSysRAtomic.hh>`

Collaboration diagram for XrdSys::RAtomic< bool >:

## Public Member Functions

| RAtomic ()
| RAtomic (bool v)
bool | compare_exchange_strong (bool &v1, bool v2, std::memory_order mo1=std::memory_order_relaxed, std::memory_order mo2=std::memory_order_relaxed) noexcept
bool | compare_exchange_strong (bool &v1, bool v2, std::memory_order mo1=std::memory_order_relaxed, std::memory_order mo2=std::memory_order_relaxed) volatile noexcept
bool | compare_exchange_weak (bool &v1, bool v2, std::memory_order mo1=std::memory_order_relaxed, std::memory_order mo2=std::memory_order_relaxed) noexcept
bool | compare_exchange_weak (bool &v1, bool v2, std::memory_order mo1=std::memory_order_relaxed, std::memory_order mo2=std::memory_order_relaxed) volatile noexcept
bool | exchange (bool v, std::memory_order mo=std::memory_order_relaxed) noexcept
bool | exchange (bool v, std::memory_order mo=std::memory_order_relaxed) volatile noexcept
bool | fetch_and (bool v) noexcept
bool | fetch_or (bool v) noexcept
bool | fetch_xor (bool v) noexcept
| operator bool () noexcept
| operator bool () noexcept
| operator bool () volatile noexcept
| operator bool () volatile noexcept
bool | operator&= (bool v) noexcept
bool | operator++ (int) noexcept
bool | operator+= (bool v) noexcept
bool | operator-- (int) noexcept
bool | operator-= (bool v) noexcept
bool | operator= (bool v) noexcept
bool | operator= (bool v) volatile noexcept
bool | operator^= (bool v) noexcept
bool | operator|= (bool v) noexcept

## Detailed Description

Definition at line 257 of file XrdSysRAtomic.hh.

## Constructor & Destructor Documentation

## RAtomic() [1/2]

XrdSys::RAtomic< bool >::RAtomic | ( |  | ) |

inline

Definition at line 307 of file XrdSysRAtomic.hh.

{}

## RAtomic() [2/2]

XrdSys::RAtomic< bool >::RAtomic | ( | bool | v | ) |

inline

Definition at line 309 of file XrdSysRAtomic.hh.

: _m(v) {}
XrdSys::RAtomic
Definition XrdSysRAtomic.hh:26

## Member Function Documentation

## compare_exchange_strong() [1/2]

bool XrdSys::RAtomic< bool >::compare_exchange_strong | ( | bool & | v1,
|  | bool | v2,
|  | std::memory_order | mo1 = std::memory_order_relaxed,
|  | std::memory_order | mo2 = std::memory_order_relaxed )

inline noexcept

Definition at line 277 of file XrdSysRAtomic.hh.

{return _m.compare_exchange_strong(v1, v2, mo1, mo2);}

## compare_exchange_strong() [2/2]

bool XrdSys::RAtomic< bool >::compare_exchange_strong | ( | bool & | v1,
|  | bool | v2,
|  | std::memory_order | mo1 = std::memory_order_relaxed,
|  | std::memory_order | mo2 = std::memory_order_relaxed ) volatile

inline noexcept

Definition at line 283 of file XrdSysRAtomic.hh.

{return _m.compare_exchange_strong(v1, v2, mo1, mo2);}

## compare_exchange_weak() [1/2]

bool XrdSys::RAtomic< bool >::compare_exchange_weak | ( | bool & | v1,
|  | bool | v2,
|  | std::memory_order | mo1 = std::memory_order_relaxed,
|  | std::memory_order | mo2 = std::memory_order_relaxed )

inline noexcept

Definition at line 289 of file XrdSysRAtomic.hh.

{return _m.compare_exchange_weak(v1, v2, mo1, mo2);}

## compare_exchange_weak() [2/2]

bool XrdSys::RAtomic< bool >::compare_exchange_weak | ( | bool & | v1,
|  | bool | v2,
|  | std::memory_order | mo1 = std::memory_order_relaxed,
|  | std::memory_order | mo2 = std::memory_order_relaxed ) volatile

inline noexcept

Definition at line 295 of file XrdSysRAtomic.hh.

{return _m.compare_exchange_weak(v1, v2, mo1, mo2);}

## exchange() [1/2]

bool XrdSys::RAtomic< bool >::exchange | ( | bool | v,
|  | std::memory_order | mo = std::memory_order_relaxed )

inline noexcept

Definition at line 301 of file XrdSysRAtomic.hh.

{return _m.exchange(v, mo);}

## exchange() [2/2]

bool XrdSys::RAtomic< bool >::exchange | ( | bool | v,
|  | std::memory_order | mo = std::memory_order_relaxed ) volatile

inline noexcept

Definition at line 304 of file XrdSysRAtomic.hh.

{return _m.exchange(v, mo);}

## fetch_and()

bool XrdSys::RAtomic< bool >::fetch_and | ( | bool | v | ) |

inline noexcept

Definition at line 103 of file XrdSysRAtomic.hh.

{return _m.fetch_and(v, std::memory_order_relaxed);}

## fetch_or()

bool XrdSys::RAtomic< bool >::fetch_or | ( | bool | v | ) |

inline noexcept

Definition at line 106 of file XrdSysRAtomic.hh.

{return _m.fetch_or (v, std::memory_order_relaxed);}

## fetch_xor()

bool XrdSys::RAtomic< bool >::fetch_xor | ( | bool | v | ) |

inline noexcept

Definition at line 109 of file XrdSysRAtomic.hh.

{return _m.fetch_xor(v, std::memory_order_relaxed);}

## operator bool() [1/4]

XrdSys::RAtomic< bool >::operator bool | ( |  | ) |

inline noexcept

Definition at line 269 of file XrdSysRAtomic.hh.

{return _m.load(std::memory_order_relaxed);}

## operator bool() [2/4]

XrdSys::RAtomic< bool >::operator bool | ( |  | ) |

inline noexcept

Definition at line 37 of file XrdSysRAtomic.hh.

{return _m.load(std::memory_order_relaxed);}

## operator bool() [3/4]

XrdSys::RAtomic< bool >::operator bool | ( |  | ) | volatile

inline noexcept

Definition at line 272 of file XrdSysRAtomic.hh.

{return _m.load(std::memory_order_relaxed);}

## operator bool() [4/4]

XrdSys::RAtomic< bool >::operator bool | ( |  | ) | volatile

inline noexcept

Definition at line 40 of file XrdSysRAtomic.hh.

{return _m.load(std::memory_order_relaxed);}

## operator&=()

bool XrdSys::RAtomic< bool >::operator&= | ( | bool | v | ) |

inline noexcept

Definition at line 83 of file XrdSysRAtomic.hh.

{return _m.fetch_and(v, std::memory_order_relaxed) & v;}

## operator++()

bool XrdSys::RAtomic< bool >::operator++ | ( | int |  | ) |

inline noexcept

Definition at line 45 of file XrdSysRAtomic.hh.

{return _m.fetch_add(1, std::memory_order_relaxed);}

## operator+=()

bool XrdSys::RAtomic< bool >::operator+= | ( | bool | v | ) |

inline noexcept

Definition at line 71 of file XrdSysRAtomic.hh.

{return _m.fetch_add(v, std::memory_order_relaxed)+v;}

## operator--()

bool XrdSys::RAtomic< bool >::operator-- | ( | int |  | ) |

inline noexcept

Definition at line 51 of file XrdSysRAtomic.hh.

{return _m.fetch_sub(1, std::memory_order_relaxed);}

## operator-=()

bool XrdSys::RAtomic< bool >::operator-= | ( | bool | v | ) |

inline noexcept

Definition at line 77 of file XrdSysRAtomic.hh.

{return _m.fetch_sub(v, std::memory_order_relaxed)-v;}

## operator=() [1/2]

bool XrdSys::RAtomic< bool >::operator= | ( | bool | v | ) |

inline noexcept

Definition at line 263 of file XrdSysRAtomic.hh.

{_m.store(v, std::memory_order_relaxed); return v;}

## operator=() [2/2]

bool XrdSys::RAtomic< bool >::operator= | ( | bool | v | ) | volatile

inline noexcept

Definition at line 266 of file XrdSysRAtomic.hh.

{_m.store(v, std::memory_order_relaxed); return v;}

## operator^=()

bool XrdSys::RAtomic< bool >::operator^= | ( | bool | v | ) |

inline noexcept

Definition at line 95 of file XrdSysRAtomic.hh.

{return _m.fetch_xor(v, std::memory_order_relaxed) ^ v;}

## operator|=()

bool XrdSys::RAtomic< bool >::operator|= | ( | bool | v | ) |

inline noexcept

Definition at line 89 of file XrdSysRAtomic.hh.

{return _m.fetch_or (v, std::memory_order_relaxed) | v;}

The documentation for this class was generated from the following file:

- XrdSysRAtomic.hh